Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITransient

    java.lang.Object
      javax.faces.component.UIComponent
          org.richfaces.component.UITransient

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIResource, UIScripts

    public abstract class UITransient

extends javax.faces.component.UIComponent

Field Summary

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UITransient()`

Method Summary
`protected void` | `addFacesListener(javax.faces.event.FacesListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeChildren(javax.faces.context.FacesContext context)`
`void` | `encodeEnd(javax.faces.context.FacesContext context)`
`javax.faces.component.UIComponent` | `findComponent(String expr)`
`protected abstract Object` | `getAttribute(Object key)`
`Map<String,Object>` | `getAttributes()`
`int` | `getChildCount()`
`List<javax.faces.component.UIComponent>` | `getChildren()`
`String` | `getClientId(javax.faces.context.FacesContext context)`
`protected javax.faces.context.FacesContext` | `getFacesContext()`
`protected javax.faces.event.FacesListener[]` | `getFacesListeners(Class clazz)`
`javax.faces.component.UIComponent` | `getFacet(String name)`
`Map<String,javax.faces.component.UIComponent>` | `getFacets()`
`Iterator<javax.faces.component.UIComponent>` | `getFacetsAndChildren()`
`String` | `getId()`
`javax.faces.component.UIComponent` | `getParent()`
`protected javax.faces.render.Renderer` | `getRenderer(javax.faces.context.FacesContext context)`
`String` | `getRendererType()`
`boolean` | `getRendersChildren()`
`javax.faces.el.ValueBinding` | `getValueBinding(String name)`
`javax.el.ValueExpression` | `getValueExpression(String name)`
`protected abstract boolean` | `hasAttribute(Object key)`
`boolean` | `isRendered()`
`boolean` | `isTransient()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processRestoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `processSaveState(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`protected void` | `removeFacesListener(javax.faces.event.FacesListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`protected abstract Object` | `setAttribute(String key, Object value)`
`void` | `setId(String id)`
`void` | `setParent(javax.faces.component.UIComponent parent)`
`void` | `setRendered(boolean rendered)`
`void` | `setRendererType(String rendererType)`
`void` | `setTransient(boolean newTransientValue)`
`void` | `setValueBinding(String name, javax.faces.el.ValueBinding binding)`
`void` | `setValueExpression(String name, javax.el.ValueExpression binding)`

Methods inherited from class javax.faces.component.UIComponent
`clearInitialState, encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFacetCount, getFamily, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, invokeOnComponent, isCompositeComponent, isInView, isVisitable, markInitialState, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UITransient

    public UITransient()

Method Detail

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

### isTransient

    public boolean isTransient()

### setTransient

    public void setTransient(boolean newTransientValue)

### getAttributes

    public Map<String,Object> getAttributes()

  Specified by:
    `getAttributes` in class `javax.faces.component.UIComponent`

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(String name)

  Specified by:
    `getValueBinding` in class `javax.faces.component.UIComponent`

### setValueBinding

    public void setValueBinding(String name,
                                javax.faces.el.ValueBinding binding)

  Specified by:
    `setValueBinding` in class `javax.faces.component.UIComponent`

### getValueExpression

    public javax.el.ValueExpression getValueExpression(String name)

  Overrides:
    `getValueExpression` in class `javax.faces.component.UIComponent`

### setValueExpression

    public void setValueExpression(String name,
                                   javax.el.ValueExpression binding)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIComponent`

### getClientId

    public String getClientId(javax.faces.context.FacesContext context)

  Specified by:
    `getClientId` in class `javax.faces.component.UIComponent`

### getId

    public String getId()

  Specified by:
    `getId` in class `javax.faces.component.UIComponent`

### setId

    public void setId(String id)

  Specified by:
    `setId` in class `javax.faces.component.UIComponent`

### getParent

    public javax.faces.component.UIComponent getParent()

  Specified by:
    `getParent` in class `javax.faces.component.UIComponent`

### setParent

    public void setParent(javax.faces.component.UIComponent parent)

  Specified by:
    `setParent` in class `javax.faces.component.UIComponent`

### isRendered

    public boolean isRendered()

  Specified by:
    `isRendered` in class `javax.faces.component.UIComponent`

### setRendered

    public void setRendered(boolean rendered)

  Specified by:
    `setRendered` in class `javax.faces.component.UIComponent`

### getRendererType

    public String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.component.UIComponent`

### setRendererType

    public void setRendererType(String rendererType)

  Specified by:
    `setRendererType` in class `javax.faces.component.UIComponent`

### getRendersChildren

    public boolean getRendersChildren()

  Specified by:
    `getRendersChildren` in class `javax.faces.component.UIComponent`

### getChildren

    public List<javax.faces.component.UIComponent> getChildren()

  Specified by:
    `getChildren` in class `javax.faces.component.UIComponent`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in class `javax.faces.component.UIComponent`

### findComponent

    public javax.faces.component.UIComponent findComponent(String expr)

  Specified by:
    `findComponent` in class `javax.faces.component.UIComponent`

### getFacets

    public Map<String,javax.faces.component.UIComponent> getFacets()

  Specified by:
    `getFacets` in class `javax.faces.component.UIComponent`

### getFacet

    public javax.faces.component.UIComponent getFacet(String name)

  Specified by:
    `getFacet` in class `javax.faces.component.UIComponent`

### getFacetsAndChildren

    public Iterator<javax.faces.component.UIComponent> getFacetsAndChildren()

  Specified by:
    `getFacetsAndChildren` in class `javax.faces.component.UIComponent`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Specified by:
    `broadcast` in class `javax.faces.component.UIComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Specified by:
    `decode` in class `javax.faces.component.UIComponent`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws IOException

  Specified by:
    `encodeBegin` in class `javax.faces.component.UIComponent`
  Throws:
    `IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context)
                        throws IOException

  Specified by:
    `encodeChildren` in class `javax.faces.component.UIComponent`
  Throws:
    `IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws IOException

  Specified by:
    `encodeEnd` in class `javax.faces.component.UIComponent`
  Throws:
    `IOException`

### addFacesListener

    protected void addFacesListener(javax.faces.event.FacesListener listener)

  Specified by:
    `addFacesListener` in class `javax.faces.component.UIComponent`

### getFacesListeners

    protected javax.faces.event.FacesListener[] getFacesListeners(Class clazz)

  Specified by:
    `getFacesListeners` in class `javax.faces.component.UIComponent`

### removeFacesListener

    protected void removeFacesListener(javax.faces.event.FacesListener listener)

  Specified by:
    `removeFacesListener` in class `javax.faces.component.UIComponent`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Specified by:
    `queueEvent` in class `javax.faces.component.UIComponent`

### processRestoreState

    public void processRestoreState(javax.faces.context.FacesContext context,
                                    Object state)

  Specified by:
    `processRestoreState` in class `javax.faces.component.UIComponent`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Specified by:
    `processDecodes` in class `javax.faces.component.UIComponent`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Specified by:
    `processValidators` in class `javax.faces.component.UIComponent`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Specified by:
    `processUpdates` in class `javax.faces.component.UIComponent`

### processSaveState

    public Object processSaveState(javax.faces.context.FacesContext context)

  Specified by:
    `processSaveState` in class `javax.faces.component.UIComponent`

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()

  Specified by:
    `getFacesContext` in class `javax.faces.component.UIComponent`

### getRenderer

    protected javax.faces.render.Renderer getRenderer(javax.faces.context.FacesContext context)

  Specified by:
    `getRenderer` in class `javax.faces.component.UIComponent`

### hasAttribute

    protected abstract boolean hasAttribute(Object key)

### setAttribute

    protected abstract Object setAttribute(String key,
                                           Object value)

### getAttribute

    protected abstract Object getAttribute(Object key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.